kumquat-buildroot/package/kodi/S50kodi
Bernd Kuhls 3578459748 package/xbmc: rename to 'kodi', the new upstream project name
Background information: http://xbmc.org/introducing-kodi-14. In a
first step to bump version to 14.0-Helix, we move the xbmc package to
a new directory called kodi.

Appropriate Config.in.legacy variables are added.

[Thomas: rename patches to the new convention.]

Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
2014-12-27 19:58:28 +01:00

40 lines
573 B
Bash
Executable File

#!/bin/sh
#
# Starts Kodi
#
BIN=/usr/bin/br-kodi
KODI=/usr/lib/xbmc/xbmc.bin
KODI_ARGS="--standalone -fs -n"
PIDFILE=/var/run/kodi.pid
start() {
echo -n "Starting Kodi: "
start-stop-daemon -S -q -b -m -p $PIDFILE --exec $BIN -- $KODI $KODI_ARGS
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
stop() {
echo -n "Stopping Kodi: "
start-stop-daemon -K -q -p $PIDFILE
[ $? = 0 ] && echo "OK" || echo "FAIL"
}
restart() {
stop
start
}
case "$1" in
start)
start
;;
stop)
stop
;;
restart|reload)
restart
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac